Page MenuHomePhabricator

Edit quality campaign for Ukrainian Wikipedia
Closed, ResolvedPublic

Description

Event Timeline

Halfak created this task.Oct 2 2015, 5:35 PM
Halfak assigned this task to ToAruShiroiNeko.
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 5:35 PM
Halfak updated the task description. (Show Details)Oct 2 2015, 5:39 PM
Halfak set Security to None.
ToAruShiroiNeko triaged this task as Normal priority.Oct 2 2015, 5:40 PM
Base renamed this task from Edit quality campaign for Ukranian Wikipedia to Edit quality campaign for Ukrainian Wikipedia.Oct 4 2015, 12:33 AM
Base added a subscriber: Base.

autoreview and editor are trusted per AS but there is an ongoing discussion.

Halfak claimed this task.Oct 30 2015, 5:31 PM
Base added a comment.Nov 13 2015, 11:53 AM

https://uk.wikipedia.org/wiki/?diff=15442888 was in my work set. Stewards should be trusted I guess.

Base added a comment.EditedNov 13 2015, 11:53 AM

https://uk.wikipedia.org/wiki/?diff=15392585 commons filemove replaces somehow too.

Looks like we're missing stewards because they are a global group. We can query for global groups too. See https://en.wikipedia.org/w/api.php?action=query&meta=globaluserinfo&guiuser=DerHexer&guiprop=groups

@Base, I'm not sure what you are thinking re. filemove replaces. Should we assume all edits of this type are good? How can we be sure that an edit is of this type?

Halfak updated the task description. (Show Details)Nov 13 2015, 2:30 PM
Base added a comment.Nov 13 2015, 3:17 PM

Looks like we're missing stewards because they are a global group. We can query for global groups too. See https://en.wikipedia.org/w/api.php?action=query&meta=globaluserinfo&guiuser=DerHexer&guiprop=groups
@Base, I'm not sure what you are thinking re. filemove replaces. Should we assume all edits of this type are good? How can we be sure that an edit is of this type?

Yep, I would assume that a person who got filemover or sysop rights on Commons is trusted in it and thus there's no need to check his/her replacements as the result of filemove. It is because I do not not how why I have written "somehow" :) Hmm. Well they all are prefixed the same. Sure a smart vandal can imitate the prefix but then there are very few smart vandals. Needs some thinking whether there's another way to do it.

Halfak closed this task as Resolved.Jan 21 2016, 3:39 PM